firebase_model_notifier 0.9.2+7 icon indicating copy to clipboard operation
firebase_model_notifier: ^0.9.2+7 copied to clipboard

ModelNotifier package for Firebase. When you listen in Firestore, you can tell riverpod and others about the update.

Firebase Model Notifier #

Version Language License: BSD


Package that makes it easy to define ValueNotifier as a model and improves the affinity with riverpod and freezed. It ships with a model for Firebase.

Getting Started #

Add this to your package's pubspec.yaml file:

dependencies:
  firebase_model_notifier: ^0.9.2

You should then run flutter pub upgrade.

Usage #

import 'package:firebase_model_notifier/firebase_model_notifier.dart';

License #

BSD

2
likes
130
pub points
50%
popularity

Publisher

verified publisher iconmathru.net

ModelNotifier package for Firebase. When you listen in Firestore, you can tell riverpod and others about the update.

Homepage
Repository (GitHub)

Documentation

API reference

License

Icon for licenses.BSD-3-Clause (LICENSE)

Dependencies

cloud_firestore, cloud_functions, firebase_core, flutter, http, katana, katana_firebase, meta, model_notifier

More

Packages that depend on firebase_model_notifier